import { JsonFormsState } from '@jsonforms/core';
import { Store } from 'redux';
/**
 * HTML element that represents the entry point
 */
export declare class JsonFormsElement extends HTMLElement {
    private InnerComponent;
    private innerComponentParameters;
    private allowDynamicUpdate;
    private _store;
    /**
     * Constructor.
     */
    constructor();
    /**
     * Called when this element is inserted into a document.
     */
    connectedCallback(): void;
    /**
     * Set the store to be used by the element
     *
     * @package
     * @param {Object} store the store containing the jsonforms state and reducer
     */
    store: Store<JsonFormsState>;
    /**
     * Set the inner component used by this json forms element.
     * By default the JsonForms component is used.
     *
     * @param InnerComponent The component to use instead of JsonForms
     * @param parameters The parameters used when instantiating the given component
     */
    setInnerComponent(InnerComponent: any, parameters?: {}): void;
    private render;
}
